﻿using System;
using System.Device.Location;
using GART;
using GART.Controls;
using GART.Data;
using Microsoft.Phone.Controls;

namespace ARDemo1 {
    public partial class MainPage : PhoneApplicationPage {
        private Random rand = new Random();
                
        public MainPage() {
            InitializeComponent();
        }

        private void AddRandomLabels() {
            GeoCoordinate current = ARDisplay.Location;
            for (int i = 0; i < 5; i++) {
                GeoCoordinate offset = new GeoCoordinate(
                    current.Latitude + ((double)rand.Next(-90, 90)) / 100000,
                    current.Longitude + ((double)rand.Next(-90, 90)) / 100000
                );
                ARDisplay.ARItems.Add(new ARItem() {
                    Content = "P #" + i,
                    GeoLocation = offset,
                });
            }
        }

        protected override void OnNavigatedFrom(System.Windows.Navigation.NavigationEventArgs e) {
            ARDisplay.StopServices();
            base.OnNavigatedFrom(e);
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e) {
            ARDisplay.StartServices();
            base.OnNavigatedTo(e);
        }

        private void MapButton_Click(object sender, System.EventArgs e) {
            UIHelper.ToggleVisibility(OverheadMap);
        }

        private void AddLocationsMenu_Click(object sender, EventArgs e) {
            AddRandomLabels();
        }

        private void ClearLocationsMenu_Click(object sender, EventArgs e) {
            ARDisplay.ARItems.Clear();
        }
    }
}