﻿/* 
    Copyright (c) 2012 Microsoft Corporation.  All rights reserved.
    Use of this sample source code is subject to the terms of the Microsoft license 
    agreement under which you licensed this sample source code and is provided AS-IS.
    If you did not accept the terms of the license agreement, you are not authorized 
    to use this sample source code.  For the terms of the license, please see the 
    license agreement between you and Microsoft.
*/

using System;
using System.Diagnostics;
using System.ComponentModel;
using System.Collections.ObjectModel;

using Microsoft.FaceSdk.Common;
using System.Collections.Generic;

namespace FaceParty
{
    /// <summary>
    /// Wrapper class with extension properties for faces.
    /// </summary>
    public class FaceWrapper
    {
        /// <summary>
        /// The face geometry information
        /// </summary>
        public FaceParty.Common.Face Face { get; set; }
    }

    /// <summary>
    /// Face layout information, which is an extension with UI layout;
    /// </summary>
    public class FaceLayout
    {
        /// <summary>
        /// Get/set the X coordinate of UI element in screen in space
        /// </summary>
        public double CenterX { get; set; }

        /// <summary>
        /// Get/set the Y coordinate of UI element in screen spaec
        /// </summary>
        public double CenterY { get; set; }

        /// <summary>
        /// Get/set the clockwise rotation angle in degree of UI element in screen space
        /// </summary>
        public double Angle { get; set; }

        /// <summary>
        /// Get/set the UI element's width in screen space
        /// </summary>
        public double Width { get; set; }

        /// <summary>
        /// Get/set the UI element's height in screen space
        /// </summary>
        public double Height { get; set; }

        /// <summary>
        /// Get/set the face detected in source image
        /// </summary>
        public FaceWrapper Wrapper { get; set; }
    }
}
